Skip to content
Snippets Groups Projects
Commit 66417b3b authored by Recolic K's avatar Recolic K
Browse files

u

parent ab2bd0b2
No related branches found
No related tags found
No related merge requests found
...@@ -4,6 +4,7 @@ ...@@ -4,6 +4,7 @@
nuget_uname="$1" nuget_uname="$1"
nuget_pswd="$2" nuget_pswd="$2"
cd /buildroot/repo || exit $? cd /buildroot/repo || exit $?
apt update && apt install -y zip || exit $?
####################################### #######################################
echo START sync echo START sync
...@@ -14,8 +15,8 @@ exit $? ...@@ -14,8 +15,8 @@ exit $?
# The noob Microsoft.Azure.Cosmos.Table packager set the version to 0.0.0.0. Fuck you. # The noob Microsoft.Azure.Cosmos.Table packager set the version to 0.0.0.0. Fuck you.
echo START hotfix echo START hotfix
nuget-download-package Microsoft.Azure.Cosmos.Table 1.0.6 ~/nuget-test-repo && nuget-download-package Microsoft.Azure.Cosmos.Table 1.0.6 ~/nuget-local-repo &&
rm -rf ~/nuget-test-repo/microsoft.azure.cosmos.table/2.0.0-preview || rm -r ~/nuget-local-repo/microsoft.azure.cosmos.table/2.* ||
exit $? exit $?
####################################### #######################################
......
...@@ -13,16 +13,19 @@ set tmpf /tmp/ms-externci-azdeploymentbuilder ...@@ -13,16 +13,19 @@ set tmpf /tmp/ms-externci-azdeploymentbuilder
test $devops_pswd = "" ; and echo "Please set devops_password" ; and exit 1 test $devops_pswd = "" ; and echo "Please set devops_password" ; and exit 1
function dobuild function dobuild
set build_tag $args[1] set build_tag AzDB.$argv[1]
sudo docker run -ti --rm -v (pwd)/..:/buildroot recolic/openxt bash /buildroot/guest-build.sh $devops_uname $devops_pswd echo "Start building $build_tag at "(date --utc) >> $webroot/$build_tag.log
and mv ../output.zip $webroot/AzDB.$build_tag.zip sudo docker run --rm -v (pwd)/..:/buildroot recolic/openxt bash /buildroot/guest-build.sh $devops_uname $devops_pswd | tee --append $webroot/$build_tag.log
and mv ../output.zip $webroot/$build_tag.zip
and echo "Successfully built $build_tag at "(date --utc) >> $webroot/$build_tag.log
or echo "Failed to build $build_tag at "(date --utc) >> $webroot/$build_tag.log
end end
test -d repo test -d repo
or git clone https://$devops_uname:$devops_pswd@msazure.visualstudio.com/DefaultCollection/One/_git/Azure-Deployment-Builder repo or git clone https://$devops_uname:$devops_pswd@msazure.visualstudio.com/DefaultCollection/One/_git/Azure-Deployment-Builder repo
cd repo cd repo
dobuild dobuild master:(git rev-parse --short HEAD)
while true while true
# No error-crash in the loop. # No error-crash in the loop.
git fetch 2>&1 > $tmpf git fetch 2>&1 > $tmpf
......
...@@ -4,6 +4,7 @@ ...@@ -4,6 +4,7 @@
nuget_uname="$1" nuget_uname="$1"
nuget_pswd="$2" nuget_pswd="$2"
cd /buildroot/repo || exit $? cd /buildroot/repo || exit $?
apt update && apt install -y zip || exit $?
####################################### #######################################
echo START sync echo START sync
......
...@@ -7,20 +7,25 @@ set devops_uname bensl ...@@ -7,20 +7,25 @@ set devops_uname bensl
set devops_pswd (cat /home/recolic/scripts/ms-passwords/devops-password) set devops_pswd (cat /home/recolic/scripts/ms-passwords/devops-password)
# Using GNU grep, allow basic regex. (I assume nobody place SPACE and origin/ in his branch name. ) # Using GNU grep, allow basic regex. (I assume nobody place SPACE and origin/ in his branch name. )
set triggers master 'u/recolic/.*' set triggers master 'u/recolic/.*'
set webroot /var/www/html/externci
set tmpf /tmp/ms-externci-controlplane set tmpf /tmp/ms-externci-controlplane
test $devops_pswd = "" ; and echo "Please set devops_password" ; and exit 1 test $devops_pswd = "" ; and echo "Please set devops_password" ; and exit 1
function dobuild function dobuild
set build_tag $args[1] set build_tag CP.$argv[1]
sudo docker run -ti --rm -v (pwd)/..:/buildroot recolic/openxt bash /buildroot/guest-build.sh $devops_uname $devops_pswd echo "Start building $build_tag at "(date --utc) >> $webroot/$build_tag.log
sudo docker run --rm -v (pwd)/..:/buildroot recolic/openxt bash /buildroot/guest-build.sh $devops_uname $devops_pswd | tee --append $webroot/$build_tag.log
and mv ../output.zip $webroot/$build_tag.zip
and echo "Successfully built $build_tag at "(date --utc) >> $webroot/$build_tag.log
or echo "Failed to build $build_tag at "(date --utc) >> $webroot/$build_tag.log
end end
test -d repo test -d repo
or git clone https://$devops_uname:$devops_pswd@o365exchange.visualstudio.com/DefaultCollection/O365%20Core/_git/ControlPlane repo or git clone https://$devops_uname:$devops_pswd@o365exchange.visualstudio.com/DefaultCollection/O365%20Core/_git/ControlPlane repo
cd repo cd repo
dobuild dobuild master:(git rev-parse --short HEAD)
while true while true
# No error-crash in the loop. # No error-crash in the loop.
git fetch 2>&1 > $tmpf git fetch 2>&1 > $tmpf
...@@ -42,7 +47,7 @@ while true ...@@ -42,7 +47,7 @@ while true
end end
end end
sleep 10m sleep 60
end end
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment